Bug 64914 - usbkbd.o missing (was present in 2.4.7)
usbkbd.o missing (was present in 2.4.7)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 10:01 EDT by John Deisz
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 15:28:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after booting 2.4.18-3 (redhat kernel) (15.02 KB, text/plain)
2002-06-14 11:24 EDT, John Deisz
no flags Details
dmesg output after booting 2.4.18custom (made from standard linux kernel source distribution, not from RH 2.4.18-3 source RPM) (6.97 KB, text/plain)
2002-06-14 11:28 EDT, John Deisz
no flags Details
output of /proc/bus/usb/devices when using 2.4.18custom (1.64 KB, text/plain)
2002-06-14 11:30 EDT, John Deisz
no flags Details

  None (edit)
Description John Deisz 2002-05-14 10:01:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
There is a long hang at boot-up during the usb part of
the initialization scripts.  Boot-up proceeds after several
minutes, but my usb keyboard doesn't work after boot-up
is completed.

I notice that kernel 2.4.7 (RedHat 7.2) includes the module
usbkbd.o, but the new kernel does not.  I used the Redhat
kernel configuration file to rebuild the kernel, but added
support for the usbkbd.o module.  
This kernel was able to boot fine and
produced a working keyboard.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Reboot with the new 7.3 kernel 
2.
3.
	

Actual Results:  Suspends on usb initialization.

Expected Results:  Should not have suspended on usb initialization.

Additional info:
Comment 1 Pete Zaitcev 2002-05-20 11:15:47 EDT
The decision on usbkbd was made and it is not coming back.
We must investigate why hid fails to work on user's machine.
Comment 2 Pete Zaitcev 2002-05-20 13:03:52 EDT
See also Bug 55878.
Comment 3 Pete Zaitcev 2002-05-20 13:08:55 EDT
I would like to see the dmesg output of the problematic kernel.
Please attach it to the bug, but do not drop it into the comment box.
Also, please attach the contents of /proc/bus/usb/devices,
preferably on both 2.4.18-3 and 2.4.18-3custom.
Comment 4 John Deisz 2002-06-14 11:24:39 EDT
Created attachment 60985 [details]
dmesg output after booting 2.4.18-3 (redhat kernel)
Comment 5 John Deisz 2002-06-14 11:28:06 EDT
Created attachment 60986 [details]
dmesg output after booting 2.4.18custom (made from standard linux kernel source distribution, not from RH 2.4.18-3 source RPM)
Comment 6 John Deisz 2002-06-14 11:30:15 EDT
Created attachment 60987 [details]
output of /proc/bus/usb/devices when using 2.4.18custom
Comment 7 John Deisz 2002-06-14 11:33:50 EDT
I was unable to obtain /proc/bus/usb/devices after booting 2.4.18-3 as
I do not have keyboard control in that case and thus could
not access the file.  The computer is firewalled
so I can't log in remotely.

Sorry about the delay in submitting the report.  I have not had a good
opportunity for rebooting the machine.

Comment 8 Pete Zaitcev 2002-06-16 00:57:21 EDT
Thanks! Single /proc/bus/usb/devices is enough - I need it
to identify the keyboard and controller.

Pity to hit it on production box and we cannot experiment.
I'll try to squeeze something from the dmesg outputs.

Comment 9 Pete Zaitcev 2002-07-29 21:37:52 EDT
Please try the kernel from the latest beta,
it has a fix for 55878. It may be the same thing.

Get it from ftp.redhat.com,
/pub/redhat/linux/beta/limbo/en/os/i386/RedHat/RPMS
kernel-2.4.18-7.80.i386.rpm

Comment 10 John Deisz 2002-08-09 11:41:18 EDT
Unfortunately, I see no change with kernel-2.4.18-7.80.i386.rpm.
There still is a hang of a few minutes at boot during USB intialization
and they keyboard is dead when the boot is complete.

Comment 11 Pete Zaitcev 2003-06-05 15:55:43 EDT
Did anyone with this problem try 2.4.20-18.7 yet?

Note You need to log in before you can comment on or make changes to this bug.